Bug 100498 - No documentation other than EN and RU
Summary: No documentation other than EN and RU
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Applications
Component: general (show other bugs)
Version: 1.2.1
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-02-28 23:15 UTC by Marco Meijer
Modified: 2006-06-11 12:32 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marco Meijer 2005-02-28 23:15:45 UTC
Version:           1.2.1 (using KDE KDE 3.2.3)
Installed from:    Compiled From Sources
Compiler:          gcc  
OS:                Linux

If I compile the source I only get the en and ru documentation. The Mandrake rpm on you site also only contains the en en ru documentation.
Comment 1 Mark Kretschmann 2005-02-28 23:35:21 UTC
Perhaps the translation you want doesn't exist?
Comment 2 Marco Meijer 2005-02-28 23:42:23 UTC
the source contains
en da de et fr it nl pt pt_BR ri sv
It only makes en and ru
Before 1.2 it just compiled them all.
Comment 3 Mark Kretschmann 2005-03-01 00:12:53 UTC
On Monday 28 February 2005 23:42, Marco Meijer wrote:
> en da de et fr it nl pt pt_BR ri sv
> It only makes en and ru
> Before 1.2 it just compiled them all.

Yep, it's because the Makefile.am has size 0.

Comment 4 Marco Meijer 2005-03-01 00:36:26 UTC
you right I found it.
I will copy the Makefile.am from ru en change the country codes

Thank you 
Comment 5 Mark Kretschmann 2005-03-01 09:42:15 UTC
Indeed the Makefile.am in those folders is simply missing. I suppose someone made a mistake (copy&paste job) when creating them on CVS. I've just reported the issue to the kde-i18n team.
Comment 6 Mark Kretschmann 2005-03-04 09:11:58 UTC
CVS commit by markey: 

Update. 

BUG: 100498


  M +4 -1      ChangeLog   1.539


--- kdeextragear-1/amarok/ChangeLog  #1.538:1.539
@@ -5,4 +5,7 @@
 
 VERSION 1.2.2:
+  FIX: The handbook translations were not built when amaroK was installed from
+       the tarball. I've written a new release script in Ruby, which can
+       handle the new structure of kde-i18n. (BR 100498)
   ADD: New DCOP call player: setEqualizer(preamp, the 10 eq settings)
   FIX: GStreamer-engine can now play vorbis radio streams properly, with
@@ -10,5 +13,5 @@
   FIX: GStreamer-engine now uses the "decodebin" autoplugger, which fixes
        the lag issues that some users had during crossfading. (BR 99570)
-  
+
 VERSION 1.2.1:
   FIX: Made the Tag-Editor only operate on visible items. (BR 100268)